diff --git a/python/PyECC/ecc/curves.py b/python/PyECC/ecc/curves.py
index ee5847fc50..ecbcb55362 100644
--- a/python/PyECC/ecc/curves.py
+++ b/python/PyECC/ecc/curves.py
@@ -16,35 +16,35 @@ obfuscate non-critical transmissions.
 # (see FIPS 186-3, Appendix D.1.2)
 DOMAINS = {
     # Bits : (p, order of E(GF(P)), parameter b, base point x, base point y)
-    192 : (0xfffffffffffffffffffffffffffffffeffffffffffffffffL,
-           0xffffffffffffffffffffffff99def836146bc9b1b4d22831L,
-           0x64210519e59c80e70fa7e9ab72243049feb8deecc146b9b1L,
-           0x188da80eb03090f67cbf20eb43a18800f4ff0afd82ff1012L,
-           0x07192b95ffc8da78631011ed6b24cdd573f977a11e794811L),
+    192 : (0xfffffffffffffffffffffffffffffffeffffffffffffffff,
+           0xffffffffffffffffffffffff99def836146bc9b1b4d22831,
+           0x64210519e59c80e70fa7e9ab72243049feb8deecc146b9b1,
+           0x188da80eb03090f67cbf20eb43a18800f4ff0afd82ff1012,
+           0x07192b95ffc8da78631011ed6b24cdd573f977a11e794811),
     
-    224 : (0xffffffffffffffffffffffffffffffff000000000000000000000001L,
-           0xffffffffffffffffffffffffffff16a2e0b8f03e13dd29455c5c2a3dL,
-           0xb4050a850c04b3abf54132565044b0b7d7bfd8ba270b39432355ffb4L,
-           0xb70e0cbd6bb4bf7f321390b94a03c1d356c21122343280d6115c1d21L,
-           0xbd376388b5f723fb4c22dfe6cd4375a05a07476444d5819985007e34L),
+    224 : (0xffffffffffffffffffffffffffffffff000000000000000000000001,
+           0xffffffffffffffffffffffffffff16a2e0b8f03e13dd29455c5c2a3d,
+           0xb4050a850c04b3abf54132565044b0b7d7bfd8ba270b39432355ffb4,
+           0xb70e0cbd6bb4bf7f321390b94a03c1d356c21122343280d6115c1d21,
+           0xbd376388b5f723fb4c22dfe6cd4375a05a07476444d5819985007e34),
 
-    256 : (0xffffffff00000001000000000000000000000000ffffffffffffffffffffffffL,
-           0xffffffff00000000ffffffffffffffffbce6faada7179e84f3b9cac2fc632551L,
-           0x5ac635d8aa3a93e7b3ebbd55769886bc651d06b0cc53b0f63bce3c3e27d2604bL,
-           0x6b17d1f2e12c4247f8bce6e563a440f277037d812deb33a0f4a13945d898c296L,
-           0x4fe342e2fe1a7f9b8ee7eb4a7c0f9e162bce33576b315ececbb6406837bf51f5L),
+    256 : (0xffffffff00000001000000000000000000000000ffffffffffffffffffffffff,
+           0xffffffff00000000ffffffffffffffffbce6faada7179e84f3b9cac2fc632551,
+           0x5ac635d8aa3a93e7b3ebbd55769886bc651d06b0cc53b0f63bce3c3e27d2604b,
+           0x6b17d1f2e12c4247f8bce6e563a440f277037d812deb33a0f4a13945d898c296,
+           0x4fe342e2fe1a7f9b8ee7eb4a7c0f9e162bce33576b315ececbb6406837bf51f5),
 
-    384 : (0xfffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffeffffffff0000000000000000ffffffffL,
-           0xffffffffffffffffffffffffffffffffffffffffffffffffc7634d81f4372ddf581a0db248b0a77aecec196accc52973L,
-           0xb3312fa7e23ee7e4988e056be3f82d19181d9c6efe8141120314088f5013875ac656398d8a2ed19d2a85c8edd3ec2aefL,
-           0xaa87ca22be8b05378eb1c71ef320ad746e1d3b628ba79b9859f741e082542a385502f25dbf55296c3a545e3872760ab7L,
-           0x3617de4a96262c6f5d9e98bf9292dc29f8f41dbd289a147ce9da3113b5f0b8c00a60b1ce1d7e819d7a431d7c90ea0e5fL),
+    384 : (0xfffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffeffffffff0000000000000000ffffffff,
+           0xffffffffffffffffffffffffffffffffffffffffffffffffc7634d81f4372ddf581a0db248b0a77aecec196accc52973,
+           0xb3312fa7e23ee7e4988e056be3f82d19181d9c6efe8141120314088f5013875ac656398d8a2ed19d2a85c8edd3ec2aef,
+           0xaa87ca22be8b05378eb1c71ef320ad746e1d3b628ba79b9859f741e082542a385502f25dbf55296c3a545e3872760ab7,
+           0x3617de4a96262c6f5d9e98bf9292dc29f8f41dbd289a147ce9da3113b5f0b8c00a60b1ce1d7e819d7a431d7c90ea0e5f),
 
-    521 : (0x1ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffL,
-           0x1fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffa51868783bf2f966b7fcc0148f709a5d03bb5c9b8899c47aebb6fb71e91386409L,
-           0x051953eb9618e1c9a1f929a21a0b68540eea2da725b99b315f3b8b489918ef109e156193951ec7e937b1652c0bd3bb1bf073573df883d2c34f1ef451fd46b503f00L,
-           0x0c6858e06b70404e9cd9e3ecb662395b4429c648139053fb521f828af606b4d3dbaa14b5e77efe75928fe1dc127a2ffa8de3348b3c1856a429bf97e7e31c2e5bd66L,
-           0x11839296a789a3bc0045c8a5fb42c7d1bd998f54449579b446817afbd17273e662c97ee72995ef42640c550b9013fad0761353c7086a272c24088be94769fd16650L)
+    521 : (0x1ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff,
+           0x1fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffa51868783bf2f966b7fcc0148f709a5d03bb5c9b8899c47aebb6fb71e91386409,
+           0x051953eb9618e1c9a1f929a21a0b68540eea2da725b99b315f3b8b489918ef109e156193951ec7e937b1652c0bd3bb1bf073573df883d2c34f1ef451fd46b503f00,
+           0x0c6858e06b70404e9cd9e3ecb662395b4429c648139053fb521f828af606b4d3dbaa14b5e77efe75928fe1dc127a2ffa8de3348b3c1856a429bf97e7e31c2e5bd66,
+           0x11839296a789a3bc0045c8a5fb42c7d1bd998f54449579b446817afbd17273e662c97ee72995ef42640c550b9013fad0761353c7086a272c24088be94769fd16650)
     }
 
 
@@ -52,17 +52,17 @@ DOMAINS = {
 # (not intended for use in signing, hence the missing group order)
 
 DOMAINS.update({
-    128 : (0xffffffffffffffffffffffffffffff61L,
+    128 : (0xffffffffffffffffffffffffffffff61,
            None,
-           0xd83d3eb8266a89927d73d5fe263d5f23L,
-           0xa94d2d8531f7af8bde367def12b98eadL,
-           0x9f44e1d671beb68fd2df7f877ab13fa6L),
+           0xd83d3eb8266a89927d73d5fe263d5f23,
+           0xa94d2d8531f7af8bde367def12b98ead,
+           0x9f44e1d671beb68fd2df7f877ab13fa6),
     
-    160 : (0xffffffffffffffffffffffffffffffffffffffd1L,
+    160 : (0xffffffffffffffffffffffffffffffffffffffd1,
            None,
-           0x94bfe70deef7b94742c089ca4db3ca27fbe1f754L,
-           0xcc6562c2969ac57524b8d0f300d1f598c908c121L,
-           0x952ddde80a252683dd7ba90fb5919899b5af69f5L)
+           0x94bfe70deef7b94742c089ca4db3ca27fbe1f754,
+           0xcc6562c2969ac57524b8d0f300d1f598c908c121,
+           0x952ddde80a252683dd7ba90fb5919899b5af69f5)
     })     
 
 CURVE_P = 3     # global parameter of all curves (for efficiency reasons)
@@ -75,7 +75,7 @@ def get_curve(bits):
         p, n, b, x, y = DOMAINS[bits]
         return bits, p, n, CURVE_P, p - b, (x, y)
     else:
-        raise KeyError, "Key size not implemented: %s" % bits
+        raise KeyError("Key size not implemented: %s" % bits)
  
 def implemented_keys(must_sign = False):
     return [k for k in DOMAINS if not must_sign or DOMAINS[k][1]]
diff --git a/python/PyECC/ecc/eccrypt.py b/python/PyECC/ecc/eccrypt.py
index c38876d071..c9fadee46a 100644
--- a/python/PyECC/ecc/eccrypt.py
+++ b/python/PyECC/ecc/eccrypt.py
@@ -3,11 +3,11 @@
 #   COPYRIGHT (c) 2010 by Toni Mattis <solaris@live.de>
 #
 
-from curves import get_curve
-from elliptic import mulp
-from encoding import enc_long
+from .curves import get_curve
+from .elliptic import mulp
+from .encoding import enc_long
 from random import SystemRandom
-from Rabbit import Rabbit
+from .Rabbit import Rabbit
 
 # important for cryptographically secure random numbers:
 random = SystemRandom()
@@ -31,9 +31,9 @@ def encrypt(message, qk, encrypter = Rabbit):
     try:
         bits, cn, n, cp, cq, g = get_curve(bits)
         if not n:
-            raise ValueError, "Key size %s not suitable for encryption" % bits
+            raise ValueError("Key size %s not suitable for encryption" % bits)
     except KeyError:
-        raise ValueError, "Key size %s not implemented" % bits
+        raise ValueError("Key size %s not implemented" % bits)
     
     k = random.randint(1, n - 1)        # temporary private key k
     kg = mulp(cp, cq, cn, g, k)         # temporary public key k*G
@@ -57,7 +57,7 @@ def decrypt(message, kg, dk, decrypter = Rabbit):
     try:
         bits, cn, n, cp, cq, g = get_curve(bits)
     except KeyError:
-        raise ValueError, "Key size %s not implemented" % bits
+        raise ValueError("Key size %s not implemented" % bits)
 
     sg = mulp(cp, cq, cn, kg, d)        # shared secret d*(k*G) = k*d*G
     return decrypter(enc_long(sg[0])).decrypt(message)
diff --git a/python/PyECC/ecc/ecdsa.py b/python/PyECC/ecc/ecdsa.py
index 6b52aeaa5d..b558ebd58d 100644
--- a/python/PyECC/ecc/ecdsa.py
+++ b/python/PyECC/ecc/ecdsa.py
@@ -4,8 +4,8 @@
 #   COPYRIGHT (c) 2010 by Toni Mattis <solaris@live.de>
 #
 
-from elliptic import inv, mulf, mulp, muladdp, element
-from curves import get_curve, implemented_keys
+from .elliptic import inv, mulf, mulp, muladdp, element
+from .curves import get_curve, implemented_keys
 from os import urandom
 
 import hashlib
@@ -23,13 +23,13 @@ def keypair(bits):
     try:
         bits, cn, n, cp, cq, g = get_curve(bits)
     except KeyError:
-        raise ValueError, "Key size %s not implemented" % bits
+        raise ValueError("Key size %s not implemented" % bits)
     if n > 0:
         d = randkey(bits, n)
         q = mulp(cp, cq, cn, g, d)
         return (bits, q), (bits, d)
     else:
-        raise ValueError, "Key size %s not suitable for signing" % bits
+        raise ValueError("Key size %s not suitable for signing" % bits)
 
 def supported_keys():
     '''Return a list of all key sizes implemented for signing'''
@@ -134,17 +134,17 @@ if __name__ == "__main__":
         d = get_curve(bits)
         
         t = time.time()
-        for i in xrange(rounds):
+        for i in range(rounds):
             qk, dk = keypair(bits)
         tgen = time.time() - t
         
         t = time.time()
-        for i in xrange(rounds):
+        for i in range(rounds):
             s = sign(0, dk)
         tsign = time.time() - t
 
         t = time.time()
-        for i in xrange(rounds):
+        for i in range(rounds):
             verify(0, s, qk)
         tver = time.time() - t
 
diff --git a/python/PyECC/ecc/elliptic.py b/python/PyECC/ecc/elliptic.py
index 9191a88488..0133a308e5 100644
--- a/python/PyECC/ecc/elliptic.py
+++ b/python/PyECC/ecc/elliptic.py
@@ -1,4 +1,3 @@
-
 # --- ELLIPTIC CURVE MATH ------------------------------------------------------
 #
 #   curve definition:   y^2 = x^3 - p*x - q
@@ -360,9 +359,9 @@ if __name__ == "__main__":
         q = curve_q(p1[0], p1[1], p, n)
         p2 = mulp(p, q, n, p1, rsa.random.randint(1, n))
 
-        c1 = [rsa.random.randint(1, n) for i in xrange(tcount)]
-        c2 = [rsa.random.randint(1, n) for i in xrange(tcount)]
-        c = zip(c1, c2)
+        c1 = [rsa.random.randint(1, n) for i in range(tcount)]
+        c2 = [rsa.random.randint(1, n) for i in range(tcount)]
+        c = list(zip(c1, c2))
 
         t = time.time()
         for i, j in c:
diff --git a/python/PyECC/ecc/encoding.py b/python/PyECC/ecc/encoding.py
index 24d3eb5a89..4b474295ae 100644
--- a/python/PyECC/ecc/encoding.py
+++ b/python/PyECC/ecc/encoding.py
@@ -158,7 +158,7 @@ class Decoder:
             self._parent._res.append(self._res)
             return self._parent
         else:
-            raise RuntimeError, "Cannont exit top level Decoder"
+            raise RuntimeError("Cannont exit top level Decoder")
 
     def continues(self):
         return (not self._limit) or (self._io.tell() < self._limit)
diff --git a/python/PyECC/ecc/performance.py b/python/PyECC/ecc/performance.py
index 724176aef8..55787868d4 100644
--- a/python/PyECC/ecc/performance.py
+++ b/python/PyECC/ecc/performance.py
@@ -36,13 +36,11 @@ def test_verification_perf(n = 100):
     return results
             
 def print_dict(title, d):
-    print title
-    print '-' * len(title)
+    print(title)
+    print('-' * len(title))
     for k, v in d.items():
-        print k, '\t', v
-    print
-
-n = 100
+        print(k, '\t', v)
+    print(n = 100)
 print_dict("Key generation", test_generation_perf(n))
 print_dict("Signing", test_signing_perf(n))
 print_dict("Verifying", test_verification_perf(n))
diff --git a/python/PyECC/ecc/primes.py b/python/PyECC/ecc/primes.py
index a8bc1424bf..7e2cb7953c 100644
--- a/python/PyECC/ecc/primes.py
+++ b/python/PyECC/ecc/primes.py
@@ -33,14 +33,14 @@ def prime(n, k):
         s += 1
         d /= 2
         
-    for i in xrange(k):
+    for i in range(k):
         
-        a = long(2 + random.randint(0, n - 4))
+        a = int(2 + random.randint(0, n - 4))
         x = exp(a, d, n)
         if (x == 1) or (x == n - 1):
             continue
         
-        for r in xrange(1, s):
+        for r in range(1, s):
             x = (x * x) % n
             
             if x == 1:
diff --git a/python/PyECC/ecc/shacrypt.py b/python/PyECC/ecc/shacrypt.py
index 69ee7b9433..d637bcb7d2 100644
--- a/python/PyECC/ecc/shacrypt.py
+++ b/python/PyECC/ecc/shacrypt.py
@@ -17,7 +17,7 @@ BPOS = tuple(range(64))
 def enc_block(block, key, rounds = 16):
     x = block[:64]
     y = block[64:]
-    for i in xrange(rounds):
+    for i in range(rounds):
         h = sha512(x + key).digest()
         y = ''.join([chr(ord(y[k]) ^ ord(h[k])) for k in BPOS])
         h = sha512(y + key).digest()
@@ -27,7 +27,7 @@ def enc_block(block, key, rounds = 16):
 def dec_block(block, key, rounds = 16):
     x = block[:64]
     y = block[64:]
-    for i in xrange(rounds):
+    for i in range(rounds):
         h = sha512(y + key).digest()
         x = ''.join([chr(ord(x[k]) ^ ord(h[k])) for k in BPOS])
         h = sha512(x + key).digest()
diff --git a/python/altgraph/altgraph/Dot.py b/python/altgraph/altgraph/Dot.py
index 49a471e4da..4629376283 100644
--- a/python/altgraph/altgraph/Dot.py
+++ b/python/altgraph/altgraph/Dot.py
@@ -108,7 +108,7 @@ import warnings
 from altgraph import GraphError
 
 
-class Dot(object):
+class Dot:
     '''
     A  class providing a **graphviz** (dot language) representation
     allowing a fine grained control over how the graph is being
@@ -180,12 +180,12 @@ class Dot(object):
 
         if  mode == 'neato':
             self.save_dot(self.temp_neo)
-            neato_cmd = "%s -o %s %s" % (self.neato, self.temp_dot, self.temp_neo)
+            neato_cmd = "{} -o {} {}".format(self.neato, self.temp_dot, self.temp_neo)
             os.system(neato_cmd)
         else:
             self.save_dot(self.temp_dot)
 
-        plot_cmd = "%s %s" % (self.dotty, self.temp_dot)
+        plot_cmd = "{} {}".format(self.dotty, self.temp_dot)
         os.system(plot_cmd)
 
     def node_style(self, node, **kwargs):
@@ -208,28 +208,28 @@ class Dot(object):
         Modifies an edge style to the dot representation.
         '''
         if tail not in self.nodes:
-            raise GraphError("invalid node %s" % (tail,))
+            raise GraphError("invalid node {}".format(tail))
 
         try:
             if tail not in self.edges[head]:
                 self.edges[head][tail]= {}
             self.edges[head][tail] = kwargs
         except KeyError:
-            raise GraphError("invalid edge  %s -> %s " % (head, tail) )
+            raise GraphError("invalid edge  {} -> {} ".format(head, tail) )
 
     def iterdot(self):
         # write graph title
         if self.type == 'digraph':
-            yield 'digraph %s {\n' % (self.name,)
+            yield 'digraph {} {{\n'.format(self.name)
         elif self.type == 'graph':
-            yield 'graph %s {\n' % (self.name,)
+            yield 'graph {} {{\n'.format(self.name)
 
         else:
-            raise GraphError("unsupported graphtype %s" % (self.type,))
+            raise GraphError("unsupported graphtype {}".format(self.type))
 
         # write overall graph attributes
         for attr_name, attr_value in sorted(self.attr.items()):
-            yield '%s="%s";' % (attr_name, attr_value)
+            yield '{}="{}";'.format(attr_name, attr_value)
         yield '\n'
 
         # some reusable patterns
@@ -238,7 +238,7 @@ class Dot(object):
 
         # write node attributes
         for node_name, node_attr in sorted(self.nodes.items()):
-            yield '\t"%s" [' % (node_name,)
+            yield '\t"{}" ['.format(node_name)
             for attr_name, attr_value in sorted(node_attr.items()):
                 yield cpatt % (attr_name, attr_value)
             yield epatt
@@ -247,9 +247,9 @@ class Dot(object):
         for head in sorted(self.edges):
             for tail in sorted(self.edges[head]):
                 if self.type == 'digraph':
-                    yield '\t"%s" -> "%s" [' % (head, tail)
+                    yield '\t"{}" -> "{}" ['.format(head, tail)
                 else:
-                    yield '\t"%s" -- "%s" [' % (head, tail)
+                    yield '\t"{}" -- "{}" ['.format(head, tail)
                 for attr_name, attr_value in sorted(self.edges[head][tail].items()):
                     yield cpatt % (attr_name, attr_value)
                 yield epatt
@@ -287,13 +287,13 @@ class Dot(object):
 
         if  mode == 'neato':
             self.save_dot(self.temp_neo)
-            neato_cmd = "%s -o %s %s" % (self.neato, self.temp_dot, self.temp_neo)
+            neato_cmd = "{} -o {} {}".format(self.neato, self.temp_dot, self.temp_neo)
             os.system(neato_cmd)
             plot_cmd = self.dot
         else:
             self.save_dot(self.temp_dot)
             plot_cmd = self.dot
 
-        file_name  = "%s.%s" % (file_name, file_type)
-        create_cmd = "%s -T%s %s -o %s" % (plot_cmd, file_type, self.temp_dot, file_name)
+        file_name  = "{}.{}".format(file_name, file_type)
+        create_cmd = "{} -T{} {} -o {}".format(plot_cmd, file_type, self.temp_dot, file_name)
         os.system(create_cmd)
diff --git a/python/altgraph/altgraph/Graph.py b/python/altgraph/altgraph/Graph.py
index 491e5c2287..fc619e4e07 100644
--- a/python/altgraph/altgraph/Graph.py
+++ b/python/altgraph/altgraph/Graph.py
@@ -16,7 +16,7 @@ altgraph.Graph - Base Graph class
 from altgraph import GraphError
 from collections import deque
 
-class Graph(object):
+class Graph:
     """
     The Graph class represents a directed graph with *N* nodes and *E* edges.
 
@@ -110,7 +110,7 @@ class Graph(object):
             self.nodes[tail_id][0].append(edge)
             self.nodes[head_id][1].append(edge)
         except KeyError:
-            raise GraphError('Invalid nodes %s -> %s' % (head_id, tail_id))
+            raise GraphError('Invalid nodes {} -> {}'.format(head_id, tail_id))
 
         # store edge information
         self.edges[edge] = (head_id, tail_id, edge_data)
@@ -491,7 +491,7 @@ class Graph(object):
         The forward parameter specifies whether it is a forward or backward
         traversal.
         """
-        visited, stack = set([start]), deque([start])
+        visited, stack = {start}, deque([start])
 
         if forward:
             get_edges = self.out_edges
@@ -518,7 +518,7 @@ class Graph(object):
         condition callback is only called when node_data is not None.
         """
 
-        visited, stack = set([start]), deque([start])
+        visited, stack = {start}, deque([start])
 
         if forward:
             get_edges = self.out_edges
@@ -550,7 +550,7 @@ class Graph(object):
         traversal.  Returns a list of tuples where the first value is the hop
         value the second value is the node id.
         """
-        queue, visited = deque([(start, 0)]), set([start])
+        queue, visited = deque([(start, 0)]), {start}
 
         # the direction of the bfs depends on the edges that are sampled
         if forward:
diff --git a/python/altgraph/altgraph/GraphAlgo.py b/python/altgraph/altgraph/GraphAlgo.py
index 9e6fff2b17..2cd4a4ee18 100644
--- a/python/altgraph/altgraph/GraphAlgo.py
+++ b/python/altgraph/altgraph/GraphAlgo.py
@@ -127,7 +127,7 @@ class _priorityDictionary(dict):
         dict.__setitem__(self,key,val)
         heap = self.__heap
         if len(heap) > 2 * len(self):
-            self.__heap = [(v,k) for k,v in self.iteritems()]
+            self.__heap = [(v,k) for k,v in self.items()]
             self.__heap.sort()  # builtin sort probably faster than O(n)-time heapify
         else:
             newPair = (val,key)
diff --git a/python/altgraph/altgraph/GraphUtil.py b/python/altgraph/altgraph/GraphUtil.py
index d3b6acd74d..f33440161b 100644
--- a/python/altgraph/altgraph/GraphUtil.py
+++ b/python/altgraph/altgraph/GraphUtil.py
@@ -24,7 +24,7 @@ def generate_random_graph(node_num, edge_num, self_loops=False, multi_edges=Fals
         if edge_num > max_edges:
             raise GraphError("inconsistent arguments to 'generate_random_graph'")
 
-    nodes = range(node_num)
+    nodes = list(range(node_num))
 
     for node in nodes:
         g.add_node(node)
@@ -49,7 +49,7 @@ def generate_random_graph(node_num, edge_num, self_loops=False, multi_edges=Fals
     return g
 
 def generate_scale_free_graph(steps, growth_num, self_loops=False, multi_edges=False):
-    '''
+    r'''
     Generates and returns a :py:class:`~altgraph.Graph.Graph` instance that will have *steps* \* *growth_num* nodes
     and a scale free (powerlaw) connectivity. Starting with a fully connected graph with *growth_num* nodes
     at every step *growth_num* nodes are added to the graph and are connected to existing nodes with
@@ -107,7 +107,7 @@ def filter_stack(graph, head, filters):
       in *removes*.
     """
 
-    visited, removes, orphans = set([head]), set(), set()
+    visited, removes, orphans = {head}, set(), set()
     stack = deque([(head, head)])
     get_data = graph.node_data
     get_edges = graph.out_edges
diff --git a/python/altgraph/altgraph/ObjectGraph.py b/python/altgraph/altgraph/ObjectGraph.py
index d07f51b688..810a8362cb 100644
--- a/python/altgraph/altgraph/ObjectGraph.py
+++ b/python/altgraph/altgraph/ObjectGraph.py
@@ -6,11 +6,12 @@ A graph of objects that have a "graphident" attribute.
 graphident is the key for the object in the graph
 """
 
+from __future__ import print_function
 from altgraph import GraphError
 from altgraph.Graph import Graph
 from altgraph.GraphUtil import filter_stack
 
-class ObjectGraph(object):
+class ObjectGraph:
     """
     A graph of objects that have a "graphident" attribute.
     graphident is the key for the object in the graph
@@ -25,7 +26,7 @@ class ObjectGraph(object):
         graph.add_node(self, None)
 
     def __repr__(self):
-        return '<%s>' % (type(self).__name__,)
+        return '<{}>'.format(type(self).__name__)
 
     def flatten(self, condition=None, start=None):
         """
@@ -183,7 +184,7 @@ class ObjectGraph(object):
         Print a debug message with the given level
         """
         if s and level <= self.debug:
-            print ("%s%s %s" % ("  " * self.indent, s, ' '.join(map(repr, args))))
+            print(("{}{} {}".format("  " * self.indent, s, ' '.join(map(repr, args)))))
 
     def msgin(self, level, s, *args):
         """
diff --git a/python/altgraph/altgraph_tests/test_dot.py b/python/altgraph/altgraph_tests/test_dot.py
index 83993dad54..0903502507 100644
--- a/python/altgraph/altgraph_tests/test_dot.py
+++ b/python/altgraph/altgraph_tests/test_dot.py
@@ -32,7 +32,7 @@ class TestDot (unittest.TestCase):
         self.assertEqual(dot.neato, 'neato')
         self.assertEqual(dot.type, 'digraph')
 
-        self.assertEqual(dot.nodes, dict([(x, {}) for x in g]))
+        self.assertEqual(dot.nodes, {x: {} for x in g})
 
         edges = {}
         for head in g:
@@ -63,7 +63,7 @@ class TestDot (unittest.TestCase):
         self.assertEqual(dot.neato, '/usr/local/bin/neato')
         self.assertEqual(dot.type, 'graph')
 
-        self.assertEqual(dot.nodes, dict([(x, {'label': x}) for x in [1,2]]))
+        self.assertEqual(dot.nodes, {x: {'label': x} for x in [1,2]})
 
         edges = {}
         for head in [1,2]:
@@ -271,7 +271,7 @@ class TestDot (unittest.TestCase):
         try:
             dot.save_dot(fn)
 
-            fp = open(fn, 'r')
+            fp = open(fn)
             data = fp.read()
             fp.close()
             self.assertEqual(data, ''.join(dot))
diff --git a/python/altgraph/altgraph_tests/test_graphutil.py b/python/altgraph/altgraph_tests/test_graphutil.py
index c1166237c1..ef618e5da2 100644
--- a/python/altgraph/altgraph_tests/test_graphutil.py
+++ b/python/altgraph/altgraph_tests/test_graphutil.py
@@ -107,11 +107,11 @@ class TestGraphUtil (unittest.TestCase):
             lambda n: n != "N.1.1.1", lambda n: n != "N.1.1.2.3" ])
 
         self.assertEqual(v,
-            set(["1", "1.1", "1.1.1", "1.1.2", "1.1.3",
+            {"1", "1.1", "1.1.1", "1.1.2", "1.1.3",
                 "1.1.1.1", "1.1.1.2", "1.1.2.1", "1.1.2.2",
-                "1.1.2.3"]))
-        self.assertEqual(r, set([
-                "1.1.1", "1.1.2.3"]))
+                "1.1.2.3"})
+        self.assertEqual(r, {
+                "1.1.1", "1.1.2.3"})
 
         o.sort()
         self.assertEqual(o,
@@ -124,11 +124,11 @@ class TestGraphUtil (unittest.TestCase):
             lambda n: n != "N.1.1.1", lambda n: n != "N.1.1.1.2" ])
 
         self.assertEqual(v,
-            set(["1", "1.1", "1.1.1", "1.1.2", "1.1.3",
+            {"1", "1.1", "1.1.1", "1.1.2", "1.1.3",
                 "1.1.1.1", "1.1.1.2", "1.1.2.1", "1.1.2.2",
-                "1.1.2.3"]))
-        self.assertEqual(r, set([
-                "1.1.1", "1.1.1.2"]))
+                "1.1.2.3"})
+        self.assertEqual(r, {
+                "1.1.1", "1.1.1.2"})
 
         self.assertEqual(o,
             [
diff --git a/python/altgraph/altgraph_tests/test_object_graph.py b/python/altgraph/altgraph_tests/test_object_graph.py
index 9035607e7a..004a623324 100644
--- a/python/altgraph/altgraph_tests/test_object_graph.py
+++ b/python/altgraph/altgraph_tests/test_object_graph.py
@@ -9,14 +9,14 @@ except ImportError:
     from io import StringIO
 
 
-class Node (object):
+class Node :
     def __init__(self, graphident):
         self.graphident = graphident
 
 class SubNode (Node):
     pass
 
-class ArgNode (object):
+class ArgNode :
     def __init__(self, graphident, *args, **kwds):
         self.graphident = graphident
         self.args = args
diff --git a/python/altgraph/doc/conf.py b/python/altgraph/doc/conf.py
index cd3fd9912e..3d5e2ace75 100644
--- a/python/altgraph/doc/conf.py
+++ b/python/altgraph/doc/conf.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 #
 # altgraph documentation build configuration file, created by
 # sphinx-quickstart on Tue Aug 31 11:04:49 2010.
@@ -48,8 +47,8 @@ source_suffix = '.rst'
 master_doc = 'index'
 
 # General information about the project.
-project = u'altgraph'
-copyright = u'2010-2011, Ronald Oussoren, Bob Ippolito, 2004 Istvan Albert'
+project = 'altgraph'
+copyright = '2010-2011, Ronald Oussoren, Bob Ippolito, 2004 Istvan Albert'
 
 # The version info for the project you're documenting, acts as replacement for
 # |version| and |release|, also used in various other places throughout the
@@ -183,8 +182,8 @@ htmlhelp_basename = 'altgraphdoc'
 # Grouping the document tree into LaTeX files. List of tuples
 # (source start file, target name, title, author, documentclass [howto/manual]).
 latex_documents = [
-  ('index', 'altgraph.tex', u'altgraph Documentation',
-   u'Ronald Oussoren', 'manual'),
+  ('index', 'altgraph.tex', 'altgraph Documentation',
+   'Ronald Oussoren', 'manual'),
 ]
 
 # The name of an image file (relative to this directory) to place at the top of
